/*
 * Created on 14-jul-2005
 *
 * gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.gvsig.geoprocessing.gui.operationpanels;

import java.io.File;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.JCheckBox;
import javax.swing.JList;
import javax.swing.JScrollBar;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import javax.swing.JButton;

import com.iver.cit.gvsig.fmap.layers.FLayers;

public class GeoProcessingDissolvePanel extends JPanel {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private JLabel titleJLabel = null;
    private JLabel inputCoverJLabel = null;
    private JComboBox inputCoverJComboBox = null;
    private JCheckBox onlySelectedItemsJCheckBox = null;
    private JLabel dissolveFieldJLabel = null;
    private JComboBox dissolveFieldJComboBox = null;
    private JLabel additionalOperationsJLabel = null;
    private JScrollPane additionalOperationsJScrollPane = null;
    private JList additionalOperationsJList = null;
    private JLabel outputCoverJLabel = null;
    private JTextField outputCoverJTextField = null;
    private JButton outputCoverJButton = null;
    private FLayers layers = null;
    private File outputFile = null;
    /**
     * This is the default constructor
     */
    /*public GeoProcessingDissolvePanel() {
        super();
        initialize();
    }*/

    /**
     * This constructor initializes the set of layers
     */
    public GeoProcessingDissolvePanel(FLayers layers) {
        super();
        this.layers = layers;
        initialize();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        outputCoverJLabel = new JLabel();
        outputCoverJLabel.setBounds(5, 163, 102, 22);
        outputCoverJLabel.setText("Cobertura de salida:");
        additionalOperationsJLabel = new JLabel();
        additionalOperationsJLabel.setBounds(5, 126, 128, 22);
        additionalOperationsJLabel.setText("Operaciones adicionales:");
        dissolveFieldJLabel = new JLabel();
        dissolveFieldJLabel.setBounds(5, 94, 109, 22);
        dissolveFieldJLabel.setText("Campo para disolver:");
        inputCoverJLabel = new JLabel();
        inputCoverJLabel.setBounds(5, 36, 109, 22);
        inputCoverJLabel.setText("Cobertura de entrada:");
        titleJLabel = new JLabel();
        titleJLabel.setBounds(5, 5, 158, 22);
        titleJLabel.setText("Dissolve. Introduccin de datos:");
        this.setLayout(null);
        this.setSize(391, 193);
        this.add(titleJLabel, null);
        this.add(inputCoverJLabel, null);
        this.add(getInputCoverJComboBox(), null);
        this.add(getOnlySelectedItemsJCheckBox(), null);
        this.add(dissolveFieldJLabel, null);
        this.add(getDissolveFieldJComboBox(), null);
        this.add(additionalOperationsJLabel, null);
        this.add(getAdditionalOperationsJScrollPane(), null);
        this.add(outputCoverJLabel, null);
        this.add(getOutputCoverJTextField(), null);
        this.add(getOutputCoverJButton(), null);
    }

    /**
     * This method initializes inputCoverJComboBox	
     * 	
     * @return javax.swing.JComboBox	
     */    
    private JComboBox getInputCoverJComboBox() {
    	if (inputCoverJComboBox == null) {
    		inputCoverJComboBox = new JComboBox();
    		inputCoverJComboBox.setBounds(121, 36, 264, 22);
    	}
    	return inputCoverJComboBox;
    }

    /**
     * This method initializes onlySelectedItemsJCheckBox	
     * 	
     * @return javax.swing.JCheckBox	
     */    
    private JCheckBox getOnlySelectedItemsJCheckBox() {
    	if (onlySelectedItemsJCheckBox == null) {
    		onlySelectedItemsJCheckBox = new JCheckBox();
    		onlySelectedItemsJCheckBox.setBounds(5, 64, 247, 22);
    		onlySelectedItemsJCheckBox.setText("Usar solamente los elementos seleccionados");
    	}
    	return onlySelectedItemsJCheckBox;
    }

    /**
     * This method initializes dissolveFieldJComboBox	
     * 	
     * @return javax.swing.JComboBox	
     */    
    private JComboBox getDissolveFieldJComboBox() {
    	if (dissolveFieldJComboBox == null) {
    		dissolveFieldJComboBox = new JComboBox();
    		dissolveFieldJComboBox.setBounds(121, 94, 264, 22);
    	}
    	return dissolveFieldJComboBox;
    }

    /**
     * This method initializes additionalOperationsJScrollPane	
     * 	
     * @return javax.swing.JScrollPane	
     */    
    private JScrollPane getAdditionalOperationsJScrollPane() {
    	if (additionalOperationsJScrollPane == null) {
    		additionalOperationsJScrollPane = new JScrollPane();
    		additionalOperationsJScrollPane.setBounds(140, 126, 245, 22);
    		additionalOperationsJScrollPane.setViewportView(getAdditionalOperationsJList());
    	}
    	return additionalOperationsJScrollPane;
    }

    /**
     * This method initializes additionalOperationsJList	
     * 	
     * @return javax.swing.JList	
     */    
    private JList getAdditionalOperationsJList() {
    	if (additionalOperationsJList == null) {
    		additionalOperationsJList = new JList();
    	}
    	return additionalOperationsJList;
    }

    /**
     * This method initializes outputCoverJTextField	
     * 	
     * @return javax.swing.JTextField	
     */    
    private JTextField getOutputCoverJTextField() {
    	if (outputCoverJTextField == null) {
    		outputCoverJTextField = new JTextField();
    		outputCoverJTextField.setBounds(114, 163, 199, 22);
    	}
    	return outputCoverJTextField;
    }

    /**
     * This method initializes outputCoverJButton	
     * 	
     * @return javax.swing.JButton	
     */    
    private JButton getOutputCoverJButton() {
    	if (outputCoverJButton == null) {
    		outputCoverJButton = new JButton();
    		outputCoverJButton.setBounds(325, 163, 60, 22);
    		outputCoverJButton.setText("Abrir");
    	}
    	return outputCoverJButton;
    }

}  //  @jve:decl-index=0:visual-constraint="9,10"
